SystemOrganization addCategory: #'JQWidgetBox-Cycle-Core'!

!JQueryInstance methodsFor: '*jqwidgetbox-cycle-core' stamp: 'NickAger 2/12/2010 16:02'!
cycle
	"put the selected images under control of the cycle JQuery widget"
	
	^ self create: JQCycle! !

JQWidget subclass: #JQCycle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Cycle-Core'!

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:43'!
activePagerClass: aString
	"default: 'activeSlide'
	 class name used for the active pager link " 

	self optionAt: 'activePagerClass' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:24'!
after: aCallback
	"default: null
	 transition callback (scope set to element to be shown):
	     function(currSlideElement, nextSlideElement, options, forwardFlag) "

	self optionAt: 'after' put: (aCallback asFunction: #('currSlideElement' 'nextSlideElement' 'options' 'forwardFlag'))! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
animIn: aString
	"default: null
	 properties that define how the slide animates in" 

	self optionAt: 'animIn' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
animOut: aString
	"default: null
	 properties that define how the slide animates out" 

	self optionAt: 'animOut' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
autostop: aBoolean
	"default: 0
	  true to end slideshow after X transitions (where X == slide count)  " 

	self optionAt: 'autostop' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
autostopCount: anInteger
	"default: 0
	 number of transitions (optionally used with autostop to define X) " 

	self optionAt: 'autostopCount' put: anInteger! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:25'!
before: aCallback
	"default: null
	 transition callback (scope set to element to be shown):
	     function(currSlideElement, nextSlideElement, options, forwardFlag) "

	self optionAt: 'before' put: (aCallback asFunction: #('currSlideElement' 'nextSlideElement' 'options' 'forwardFlag'))! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
cleartype: aBoolean
	"default: !!$.support.opacity
	true if clearType corrections should be applied (for IE)" 

	self optionAt: 'cleartype' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
cleartypeNoBg: aBoolean
	"default: false
	set to true to disable extra cleartype fixing (leave false to force background color setting on slides) " 

	self optionAt: 'cleartypeNoBg' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
containerResize: aBoolean
	"default: 1
	 resize container to fit largest slide " 

	self optionAt: 'containerResize' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
continuous: aBoolean
	"default: 0
	 true to start next transition immediately after current one completes"

	self optionAt: 'continuous' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:42'!
cssAfter: aString
	"default: null
	properties that define the initial state of the slide after transitioning out" 

	self optionAt: 'cssAfter' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
cssBefore: aString
	"default: null
	properties that define the initial state of the slide before transitioning in" 

	self optionAt: 'cssBefore' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
delay: anInteger
	"default: 0
	additional delay (in ms) for first transition (hint: can be negative)" 

	self optionAt: 'delay' put: anInteger! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
easeIn: aString
	"default: null
	 easing method for 'in' transitions" 

	self optionAt: 'easeIn' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
easeOut: aString
	"default: null
	 easing method for 'out' transitions" 

	self optionAt: 'easeOut' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
easing: aString
	"default: null
	 easing method for both in and out transitions" 

	self optionAt: 'easing' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:26'!
end: aCallback
	"default: null
	 callback invoked when the slideshow terminates (use with autostop or nowrap options): 
		function(options)" 

	self optionAt: 'end' put: aCallback.(aCallback asFunction: #('options'))! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
fastOnEvent: anInteger
	"default: 0
	force fast transitions when triggered manually (via pager or prev/next); value == time in ms " 

	self optionAt: 'fastOnEvent' put: anInteger! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
fit: aBoolean
	"default: 0
	 force slides to fit container " 

	self optionAt: 'fit' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
fx: aString
	"default: 'fade'
	name of transition effort (or comma separated names, ex: fade,scrollUp,shuffle) 
	options available (see: http://malsup.com/jquery/cycle/browser.html)
		blindX
		blindY
		blindZ
		cover
		curtainX
		curtainY
		fade
		fadeZoom
		growX
		growY
		none
		scrollUp
		scrollDown
		scrollLeft
		scrollRight
		scrollHorz
		scrollVert
		shuffle
		slideX
		slideY
		toss
		turnUp
		turnDown
		turnLeft
		turnRight
		uncover
		wipe
		zoom
		"
	self optionAt: 'fx' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:27'!
fxFn: aCallback
	"default: null
	function used to control the transition: 
		function(currSlideElement, nextSlideElement, options, afterCalback, forwardFlag) " 

	self optionAt: 'fxFn' put: (aCallback asFunction: #('currSlideElement' 'nextSlideElement' 'options' 'afterCallback' 'forwardFlag'))! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:41'!
height: aString
	"default: 'auto'
	container height" 

	self optionAt: 'height' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
manualTrump: aBoolean
	"default: true
	 causes manual transition to stop an active transition instead of being ignored" 

	self optionAt: 'manualTrump' put: aBoolean! !

!JQCycle methodsFor: 'accessing' stamp: 'NickAger 2/11/2010 17:07'!
method
	^'cycle'! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
next: aJQuery
	"default: null
	 selector for element to use as click trigger for next slide"

	self optionAt: 'next' put: aJQuery! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
nowrap: aBoolean
	"default: 0
	true to prevent slideshow from wrapping  " 

	self optionAt: 'nowrap' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
pager: aJQuery
	"default: null
	 selector for element to use as pager container"

	self optionAt: 'pager' put: aJQuery! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 19:49'!
pagerAnchorBuilder: aCallback
	"default: null
	callback fn for building anchor links:  
		function(index, slide)"

	self optionAt: 'pagerAnchorBuilder' put: (aCallback asFunction: #('index' 'slide'))! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:28'!
pagerClick: aCallback
	"default: null
	callback fn for pager clicks: 
	 	function(zeroBasedSlideIndex, slideElement)"

	self optionAt: 'pagerClick' put: (aCallback asFunction: #('zeroBasedSlideIndex' 'slideElement'))! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
pagerEvent: aString
	"default: 'click'
	name of event which drives the pager navigation"

	self optionAt: 'pagerEvent' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
pause: aBoolean
	"default: 0
	  true to enable pause on hover " 

	self optionAt: 'pause:' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
pauseOnPagerHover: aBoolean
	"default: 0
	  true to pause when hovering over pager link " 

	self optionAt: 'pauseOnPagerHover' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
prev: aJQuery
	"default: null
	 selector for element to use as click trigger for previous slide"

	self optionAt: 'prev' put: aJQuery! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:29'!
prevNextClick: aCallback
	"default: null
	 callback fn for prev/next clicks:  function(isNext, zeroBasedSlideIndex, slideElement) "

	self optionAt: 'prevNextClick' put: (aCallback asFunction: #('isNext' 'zeroBasedSlideIndex' 'slideElement'))! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:40'!
random: aBoolean
	"default: 0
	 true for random, false for sequence (not applicable to shuffle fx)" 

	self optionAt: 'random' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
randomizeEffects: aBoolean
	"default: 1
	 valid when multiple effects are used; true to make the effect sequence random" 

	self optionAt: 'randomizeEffects' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
requeueOnImageNotLoaded: aBoolean
	"default: true
	 requeue the slideshow if any image slides are not yet loaded " 

	self optionAt: 'requeueOnImageNotLoaded' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
requeueTimeout: anInteger
	"default: 250 (ms)
	 requeue the slideshow if any image slides are not yet loaded " 

	self optionAt: 'requeueTimeout' put: anInteger! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
rev: aBoolean
	"default: 0
	 causes animations to transition in reverse" 

	self optionAt: 'rev' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
shuffle: aJSObject
	"default: null
	 coords for shuffle animation, ex: { top:15, left: 200 }" 

	self optionAt: 'shuffle' put: aJSObject! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
slideExpr: aJQuery
	"default: null
	expression for selecting slides (if something other than all children is required) " 

	self optionAt: 'slideExpr' put: aJQuery! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
speed: aString
	"default: 1000
	 speed of the transition (any valid fx speed value eg 'fast')"

	self optionAt: 'speed' put: aString! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
speedIn: anInteger
	"default: null
	 speed of the 'in' transition"

	self optionAt: 'speedIn' put: anInteger! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:39'!
speedOut: anInteger
	"default: null
	 speed of the 'out' transition"

	self optionAt: 'speedOut' put: anInteger! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:38'!
startingSlide: anInteger
	"default: 0
	zero-based index of the first slide to be displayed" 

	self optionAt: 'startingSlide' put: anInteger! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:38'!
sync: aBoolean
	"default: 1
	 true if in/out transitions should occur simultaneously" 

	self optionAt: 'sync' put: aBoolean! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:44'!
timeout: aNumber
	"default: 4000
		milliseconds between slide transitions (0 to disable auto advance)"

	self optionAt: 'timeout' put: aNumber! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:31'!
timeoutFn: aCallback
	"default: null
	 callback for determining per-slide timeout value:  
		function(currSlideElement, nextSlideElement, options, forwardFlag)"

	self optionAt: 'timeoutFn' put: (aCallback asFunction: #('currSlideElement' 'nextSlideElement' 'options' 'forwardFlag'))! !

!JQCycle methodsFor: 'options' stamp: 'NickAger 2/12/2010 22:38'!
updateActivePagerLink: aCallback
	"default: null
	 callback fn invoked to update the active pager link (adds/removes activePagerClass style) 
		function(pager, currSlide, clsName)" 

	self optionAt: 'updateActivePagerLink' put:  (aCallback asFunction: #('pager' 'currSlide' 'clsName'))! !

!JQWidgetBoxDeploymentLibrary methodsFor: '*jqwidgetbox-cycle-core' stamp: ''!
jquerycycleallJs
	^ '/*
 * jQuery Cycle Plugin (with Transition Definitions)
 * Examples and documentation at: http://jquery.malsup.com/cycle/
 * Copyright (c) 2007-2010 M. Alsup
 * Version: 2.75 (10-FEB-2010)
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 * Requires: jQuery v1.2.6 or later
 */
(function($){var ver="2.75";if($.support==undefined){$.support={opacity:!!($.browser.msie)};}function debug(s){if($.fn.cycle.debug){log(s);}}function log(){if(window.console&&window.console.log){window.console.log("[cycle] "+Array.prototype.join.call(arguments," "));}}$.fn.cycle=function(options,arg2){var o={s:this.selector,c:this.context};if(this.length===0&&options!!="stop"){if(!!$.isReady&&o.s){log("DOM not ready, queuing slideshow");$(function(){$(o.s,o.c).cycle(options,arg2);});return this;}log("terminating; zero elements found by selector"+($.isReady?"":" (DOM not ready)"));return this;}return this.each(function(){var opts=handleArguments(this,options,arg2);if(opts===false){return;}opts.updateActivePagerLink=opts.updateActivePagerLink||$.fn.cycle.updateActivePagerLink;if(this.cycleTimeout){clearTimeout(this.cycleTimeout);}this.cycleTimeout=this.cyclePause=0;var $cont=$(this);var $slides=opts.slideExpr?$(opts.slideExpr,this):$cont.children();var els=$slides.get();if(els.length<2){log("terminating; too few slides: "+els.length);return;}var opts2=buildOptions($cont,$slides,els,opts,o);if(opts2===false){return;}var startTime=opts2.continuous?10:getTimeout(opts2.currSlide,opts2.nextSlide,opts2,!!opts2.rev);if(startTime){startTime+=(opts2.delay||0);if(startTime<10){startTime=10;}debug("first timeout: "+startTime);this.cycleTimeout=setTimeout(function(){go(els,opts2,0,!!opts2.rev);},startTime);}});};function handleArguments(cont,options,arg2){if(cont.cycleStop==undefined){cont.cycleStop=0;}if(options===undefined||options===null){options={};}if(options.constructor==String){switch(options){case"stop":cont.cycleStop++;if(cont.cycleTimeout){clearTimeout(cont.cycleTimeout);}cont.cycleTimeout=0;$(cont).removeData("cycle.opts");return false;case"toggle":cont.cyclePause=(cont.cyclePause===1)?0:1;return false;case"pause":cont.cyclePause=1;return false;case"resume":cont.cyclePause=0;if(arg2===true){options=$(cont).data("cycle.opts");if(!!options){log("options not found, can not resume");return false;}if(cont.cycleTimeout){clearTimeout(cont.cycleTimeout);cont.cycleTimeout=0;}go(options.elements,options,1,1);}return false;case"prev":case"next":var opts=$(cont).data("cycle.opts");if(!!opts){log(''options not found, "prev/next" ignored'');return false;}$.fn.cycle[options](opts);return false;default:options={fx:options};}return options;}else{if(options.constructor==Number){var num=options;options=$(cont).data("cycle.opts");if(!!options){log("options not found, can not advance slide");return false;}if(num<0||num>=options.elements.length){log("invalid slide index: "+num);return false;}options.nextSlide=num;if(cont.cycleTimeout){clearTimeout(cont.cycleTimeout);cont.cycleTimeout=0;}if(typeof arg2=="string"){options.oneTimeFx=arg2;}go(options.elements,options,1,num>=options.currSlide);return false;}}return options;}function removeFilter(el,opts){if(!!$.support.opacity&&opts.cleartype&&el.style.filter){try{el.style.removeAttribute("filter");}catch(smother){}}}function buildOptions($cont,$slides,els,options,o){var opts=$.extend({},$.fn.cycle.defaults,options||{},$.metadata?$cont.metadata():$.meta?$cont.data():{});if(opts.autostop){opts.countdown=opts.autostopCount||els.length;}var cont=$cont[0];$cont.data("cycle.opts",opts);opts.$cont=$cont;opts.stopCount=cont.cycleStop;opts.elements=els;opts.before=opts.before?[opts.before]:[];opts.after=opts.after?[opts.after]:[];opts.after.unshift(function(){opts.busy=0;});if(!!$.support.opacity&&opts.cleartype){opts.after.push(function(){removeFilter(this,opts);});}if(opts.continuous){opts.after.push(function(){go(els,opts,0,!!opts.rev);});}saveOriginalOpts(opts);if(!!$.support.opacity&&opts.cleartype&&!!opts.cleartypeNoBg){clearTypeFix($slides);}if($cont.css("position")=="static"){$cont.css("position","relative");}if(opts.width){$cont.width(opts.width);}if(opts.height&&opts.height!!="auto"){$cont.height(opts.height);}if(opts.startingSlide){opts.startingSlide=parseInt(opts.startingSlide);}if(opts.random){opts.randomMap=[];for(var i=0;i<els.length;i++){opts.randomMap.push(i);}opts.randomMap.sort(function(a,b){return Math.random()-0.5;});opts.randomIndex=1;opts.startingSlide=opts.randomMap[1];}else{if(opts.startingSlide>=els.length){opts.startingSlide=0;}}opts.currSlide=opts.startingSlide||0;var first=opts.startingSlide;$slides.css({position:"absolute",top:0,left:0}).hide().each(function(i){var z=first?i>=first?els.length-(i-first):first-i:els.length-i;$(this).css("z-index",z);});$(els[first]).css("opacity",1).show();removeFilter(els[first],opts);if(opts.fit&&opts.width){$slides.width(opts.width);}if(opts.fit&&opts.height&&opts.height!!="auto"){$slides.height(opts.height);}var reshape=opts.containerResize&&!!$cont.innerHeight();if(reshape){var maxw=0,maxh=0;for(var j=0;j<els.length;j++){var $e=$(els[j]),e=$e[0],w=$e.outerWidth(),h=$e.outerHeight();if(!!w){w=e.offsetWidth;}if(!!h){h=e.offsetHeight;}maxw=w>maxw?w:maxw;maxh=h>maxh?h:maxh;}if(maxw>0&&maxh>0){$cont.css({width:maxw+"px",height:maxh+"px"});}}if(opts.pause){$cont.hover(function(){this.cyclePause++;},function(){this.cyclePause--;});}if(supportMultiTransitions(opts)===false){return false;}var requeue=false;options.requeueAttempts=options.requeueAttempts||0;$slides.each(function(){var $el=$(this);this.cycleH=(opts.fit&&opts.height)?opts.height:$el.height();this.cycleW=(opts.fit&&opts.width)?opts.width:$el.width();if($el.is("img")){var loadingIE=($.browser.msie&&this.cycleW==28&&this.cycleH==30&&!!this.complete);var loadingFF=($.browser.mozilla&&this.cycleW==34&&this.cycleH==19&&!!this.complete);var loadingOp=($.browser.opera&&((this.cycleW==42&&this.cycleH==19)||(this.cycleW==37&&this.cycleH==17))&&!!this.complete);var loadingOther=(this.cycleH==0&&this.cycleW==0&&!!this.complete);if(loadingIE||loadingFF||loadingOp||loadingOther){if(o.s&&opts.requeueOnImageNotLoaded&&++options.requeueAttempts<100){log(options.requeueAttempts," - img slide not loaded, requeuing slideshow: ",this.src,this.cycleW,this.cycleH);setTimeout(function(){$(o.s,o.c).cycle(options);},opts.requeueTimeout);requeue=true;return false;}else{log("could not determine size of image: "+this.src,this.cycleW,this.cycleH);}}}return true;});if(requeue){return false;}opts.cssBefore=opts.cssBefore||{};opts.animIn=opts.animIn||{};opts.animOut=opts.animOut||{};$slides.not(":eq("+first+")").css(opts.cssBefore);if(opts.cssFirst){$($slides[first]).css(opts.cssFirst);}if(opts.timeout){opts.timeout=parseInt(opts.timeout);if(opts.speed.constructor==String){opts.speed=$.fx.speeds[opts.speed]||parseInt(opts.speed);}if(!!opts.sync){opts.speed=opts.speed/2;}while((opts.timeout-opts.speed)<250){opts.timeout+=opts.speed;}}if(opts.easing){opts.easeIn=opts.easeOut=opts.easing;}if(!!opts.speedIn){opts.speedIn=opts.speed;}if(!!opts.speedOut){opts.speedOut=opts.speed;}opts.slideCount=els.length;opts.currSlide=opts.lastSlide=first;if(opts.random){if(++opts.randomIndex==els.length){opts.randomIndex=0;}opts.nextSlide=opts.randomMap[opts.randomIndex];}else{opts.nextSlide=opts.startingSlide>=(els.length-1)?0:opts.startingSlide+1;}if(!!opts.multiFx){var init=$.fn.cycle.transitions[opts.fx];if($.isFunction(init)){init($cont,$slides,opts);}else{if(opts.fx!!="custom"&&!!opts.multiFx){log("unknown transition: "+opts.fx,"; slideshow terminating");return false;}}}var e0=$slides[first];if(opts.before.length){opts.before[0].apply(e0,[e0,e0,opts,true]);}if(opts.after.length>1){opts.after[1].apply(e0,[e0,e0,opts,true]);}if(opts.next){$(opts.next).bind(opts.prevNextEvent,function(){return advance(opts,opts.rev?-1:1);});}if(opts.prev){$(opts.prev).bind(opts.prevNextEvent,function(){return advance(opts,opts.rev?1:-1);});}if(opts.pager){buildPager(els,opts);}exposeAddSlide(opts,els);return opts;}function saveOriginalOpts(opts){opts.original={before:[],after:[]};opts.original.cssBefore=$.extend({},opts.cssBefore);opts.original.cssAfter=$.extend({},opts.cssAfter);opts.original.animIn=$.extend({},opts.animIn);opts.original.animOut=$.extend({},opts.animOut);$.each(opts.before,function(){opts.original.before.push(this);});$.each(opts.after,function(){opts.original.after.push(this);});}function supportMultiTransitions(opts){var i,tx,txs=$.fn.cycle.transitions;if(opts.fx.indexOf(",")>0){opts.multiFx=true;opts.fxs=opts.fx.replace(/\s*/g,"").split(",");for(i=0;i<opts.fxs.length;i++){var fx=opts.fxs[i];tx=txs[fx];if(!!tx||!!txs.hasOwnProperty(fx)||!!$.isFunction(tx)){log("discarding unknown transition: ",fx);opts.fxs.splice(i,1);i--;}}if(!!opts.fxs.length){log("No valid transitions named; slideshow terminating.");return false;}}else{if(opts.fx=="all"){opts.multiFx=true;opts.fxs=[];for(p in txs){tx=txs[p];if(txs.hasOwnProperty(p)&&$.isFunction(tx)){opts.fxs.push(p);}}}}if(opts.multiFx&&opts.randomizeEffects){var r1=Math.floor(Math.random()*20)+30;for(i=0;i<r1;i++){var r2=Math.floor(Math.random()*opts.fxs.length);opts.fxs.push(opts.fxs.splice(r2,1)[0]);}debug("randomized fx sequence: ",opts.fxs);}return true;}function exposeAddSlide(opts,els){opts.addSlide=function(newSlide,prepend){var $s=$(newSlide),s=$s[0];if(!!opts.autostopCount){opts.countdown++;}els[prepend?"unshift":"push"](s);if(opts.els){opts.els[prepend?"unshift":"push"](s);}opts.slideCount=els.length;$s.css("position","absolute");$s[prepend?"prependTo":"appendTo"](opts.$cont);if(prepend){opts.currSlide++;opts.nextSlide++;}if(!!$.support.opacity&&opts.cleartype&&!!opts.cleartypeNoBg){clearTypeFix($s);}if(opts.fit&&opts.width){$s.width(opts.width);}if(opts.fit&&opts.height&&opts.height!!="auto"){$slides.height(opts.height);}s.cycleH=(opts.fit&&opts.height)?opts.height:$s.height();s.cycleW=(opts.fit&&opts.width)?opts.width:$s.width();$s.css(opts.cssBefore);if(opts.pager){$.fn.cycle.createPagerAnchor(els.length-1,s,$(opts.pager),els,opts);}if($.isFunction(opts.onAddSlide)){opts.onAddSlide($s);}else{$s.hide();}};}$.fn.cycle.resetState=function(opts,fx){fx=fx||opts.fx;opts.before=[];opts.after=[];opts.cssBefore=$.extend({},opts.original.cssBefore);opts.cssAfter=$.extend({},opts.original.cssAfter);opts.animIn=$.extend({},opts.original.animIn);opts.animOut=$.extend({},opts.original.animOut);opts.fxFn=null;$.each(opts.original.before,function(){opts.before.push(this);});$.each(opts.original.after,function(){opts.after.push(this);});var init=$.fn.cycle.transitions[fx];if($.isFunction(init)){init(opts.$cont,$(opts.elements),opts);}};function go(els,opts,manual,fwd){if(manual&&opts.busy&&opts.manualTrump){$(els).stop(true,true);opts.busy=false;}if(opts.busy){return;}var p=opts.$cont[0],curr=els[opts.currSlide],next=els[opts.nextSlide];if(p.cycleStop!!=opts.stopCount||p.cycleTimeout===0&&!!manual){return;}if(!!manual&&!!p.cyclePause&&((opts.autostop&&(--opts.countdown<=0))||(opts.nowrap&&!!opts.random&&opts.nextSlide<opts.currSlide))){if(opts.end){opts.end(opts);}return;}if(manual||!!p.cyclePause){var fx=opts.fx;curr.cycleH=curr.cycleH||$(curr).height();curr.cycleW=curr.cycleW||$(curr).width();next.cycleH=next.cycleH||$(next).height();next.cycleW=next.cycleW||$(next).width();if(opts.multiFx){if(opts.lastFx==undefined||++opts.lastFx>=opts.fxs.length){opts.lastFx=0;}fx=opts.fxs[opts.lastFx];opts.currFx=fx;}if(opts.oneTimeFx){fx=opts.oneTimeFx;opts.oneTimeFx=null;}$.fn.cycle.resetState(opts,fx);if(opts.before.length){$.each(opts.before,function(i,o){if(p.cycleStop!!=opts.stopCount){return;}o.apply(next,[curr,next,opts,fwd]);});}var after=function(){$.each(opts.after,function(i,o){if(p.cycleStop!!=opts.stopCount){return;}o.apply(next,[curr,next,opts,fwd]);});};if(opts.nextSlide!!=opts.currSlide){opts.busy=1;if(opts.fxFn){opts.fxFn(curr,next,opts,after,fwd);}else{if($.isFunction($.fn.cycle[opts.fx])){$.fn.cycle[opts.fx](curr,next,opts,after);}else{$.fn.cycle.custom(curr,next,opts,after,manual&&opts.fastOnEvent);}}}opts.lastSlide=opts.currSlide;if(opts.random){opts.currSlide=opts.nextSlide;if(++opts.randomIndex==els.length){opts.randomIndex=0;}opts.nextSlide=opts.randomMap[opts.randomIndex];}else{var roll=(opts.nextSlide+1)==els.length;opts.nextSlide=roll?0:opts.nextSlide+1;opts.currSlide=roll?els.length-1:opts.nextSlide-1;}if(opts.pager){opts.updateActivePagerLink(opts.pager,opts.currSlide,opts.activePagerClass);}}var ms=0;if(opts.timeout&&!!opts.continuous){ms=getTimeout(curr,next,opts,fwd);}else{if(opts.continuous&&p.cyclePause){ms=10;}}if(ms>0){p.cycleTimeout=setTimeout(function(){go(els,opts,0,!!opts.rev);},ms);}}$.fn.cycle.updateActivePagerLink=function(pager,currSlide,clsName){$(pager).each(function(){$(this).find("a").removeClass(clsName).filter("a:eq("+currSlide+")").addClass(clsName);});};function getTimeout(curr,next,opts,fwd){if(opts.timeoutFn){var t=opts.timeoutFn(curr,next,opts,fwd);while((t-opts.speed)<250){t+=opts.speed;}debug("calculated timeout: "+t+"; speed: "+opts.speed);if(t!!==false){return t;}}return opts.timeout;}$.fn.cycle.next=function(opts){advance(opts,opts.rev?-1:1);};$.fn.cycle.prev=function(opts){advance(opts,opts.rev?1:-1);};function advance(opts,val){var els=opts.elements;var p=opts.$cont[0],timeout=p.cycleTimeout;if(timeout){clearTimeout(timeout);p.cycleTimeout=0;}if(opts.random&&val<0){opts.randomIndex--;if(--opts.randomIndex==-2){opts.randomIndex=els.length-2;}else{if(opts.randomIndex==-1){opts.randomIndex=els.length-1;}}opts.nextSlide=opts.randomMap[opts.randomIndex];}else{if(opts.random){opts.nextSlide=opts.randomMap[opts.randomIndex];}else{opts.nextSlide=opts.currSlide+val;if(opts.nextSlide<0){if(opts.nowrap){return false;}opts.nextSlide=els.length-1;}else{if(opts.nextSlide>=els.length){if(opts.nowrap){return false;}opts.nextSlide=0;}}}}if($.isFunction(opts.prevNextClick)){opts.prevNextClick(val>0,opts.nextSlide,els[opts.nextSlide]);}go(els,opts,1,val>=0);return false;}function buildPager(els,opts){var $p=$(opts.pager);$.each(els,function(i,o){$.fn.cycle.createPagerAnchor(i,o,$p,els,opts);});opts.updateActivePagerLink(opts.pager,opts.startingSlide,opts.activePagerClass);}$.fn.cycle.createPagerAnchor=function(i,el,$p,els,opts){var a;if($.isFunction(opts.pagerAnchorBuilder)){a=opts.pagerAnchorBuilder(i,el);}else{a=''<a href="#">''+(i+1)+"</a>";}if(!!a){return;}var $a=$(a);if($a.parents("body").length===0){var arr=[];if($p.length>1){$p.each(function(){var $clone=$a.clone(true);$(this).append($clone);arr.push($clone[0]);});$a=$(arr);}else{$a.appendTo($p);}}$a.bind(opts.pagerEvent,function(e){e.preventDefault();opts.nextSlide=i;var p=opts.$cont[0],timeout=p.cycleTimeout;if(timeout){clearTimeout(timeout);p.cycleTimeout=0;}if($.isFunction(opts.pagerClick)){opts.pagerClick(opts.nextSlide,els[opts.nextSlide]);}go(els,opts,1,opts.currSlide<i);return false;});if(opts.pagerEvent!!="click"){$a.click(function(){return false;});}if(opts.pauseOnPagerHover){$a.hover(function(){opts.$cont[0].cyclePause++;},function(){opts.$cont[0].cyclePause--;});}};$.fn.cycle.hopsFromLast=function(opts,fwd){var hops,l=opts.lastSlide,c=opts.currSlide;if(fwd){hops=c>l?c-l:opts.slideCount-l;}else{hops=c<l?l-c:l+opts.slideCount-c;}return hops;};function clearTypeFix($slides){function hex(s){s=parseInt(s).toString(16);return s.length<2?"0"+s:s;}function getBg(e){for(;e&&e.nodeName.toLowerCase()!!="html";e=e.parentNode){var v=$.css(e,"background-color");if(v.indexOf("rgb")>=0){var rgb=v.match(/\d+/g);return"#"+hex(rgb[0])+hex(rgb[1])+hex(rgb[2]);}if(v&&v!!="transparent"){return v;}}return"#ffffff";}$slides.each(function(){$(this).css("background-color",getBg(this));});}$.fn.cycle.commonReset=function(curr,next,opts,w,h,rev){$(opts.elements).not(curr).hide();opts.cssBefore.opacity=1;opts.cssBefore.display="block";if(w!!==false&&next.cycleW>0){opts.cssBefore.width=next.cycleW;}if(h!!==false&&next.cycleH>0){opts.cssBefore.height=next.cycleH;}opts.cssAfter=opts.cssAfter||{};opts.cssAfter.display="none";$(curr).css("zIndex",opts.slideCount+(rev===true?1:0));$(next).css("zIndex",opts.slideCount+(rev===true?0:1));};$.fn.cycle.custom=function(curr,next,opts,cb,speedOverride){var $l=$(curr),$n=$(next);var speedIn=opts.speedIn,speedOut=opts.speedOut,easeIn=opts.easeIn,easeOut=opts.easeOut;$n.css(opts.cssBefore);if(speedOverride){if(typeof speedOverride=="number"){speedIn=speedOut=speedOverride;}else{speedIn=speedOut=1;}easeIn=easeOut=null;}var fn=function(){$n.animate(opts.animIn,speedIn,easeIn,cb);};$l.animate(opts.animOut,speedOut,easeOut,function(){if(opts.cssAfter){$l.css(opts.cssAfter);}if(!!opts.sync){fn();}});if(opts.sync){fn();}};$.fn.cycle.transitions={fade:function($cont,$slides,opts){$slides.not(":eq("+opts.currSlide+")").css("opacity",0);opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts);opts.cssBefore.opacity=0;});opts.animIn={opacity:1};opts.animOut={opacity:0};opts.cssBefore={top:0,left:0};}};$.fn.cycle.ver=function(){return ver;};$.fn.cycle.defaults={fx:"fade",timeout:4000,timeoutFn:null,continuous:0,speed:1000,speedIn:null,speedOut:null,next:null,prev:null,prevNextClick:null,prevNextEvent:"click",pager:null,pagerClick:null,pagerEvent:"click",pagerAnchorBuilder:null,before:null,after:null,end:null,easing:null,easeIn:null,easeOut:null,shuffle:null,animIn:null,animOut:null,cssBefore:null,cssAfter:null,fxFn:null,height:"auto",startingSlide:0,sync:1,random:0,fit:0,containerResize:1,pause:0,pauseOnPagerHover:0,autostop:0,autostopCount:0,delay:0,slideExpr:null,cleartype:!!$.support.opacity,cleartypeNoBg:false,nowrap:0,fastOnEvent:0,randomizeEffects:1,rev:0,manualTrump:true,requeueOnImageNotLoaded:true,requeueTimeout:250,activePagerClass:"activeSlide",updateActivePagerLink:null};})(jQuery);
/*
 * jQuery Cycle Plugin Transition Definitions
 * This script is a plugin for the jQuery Cycle Plugin
 * Examples and documentation at: http://malsup.com/jquery/cycle/
 * Copyright (c) 2007-2008 M. Alsup
 * Version:	 2.72
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 */
(function($){$.fn.cycle.transitions.none=function($cont,$slides,opts){opts.fxFn=function(curr,next,opts,after){$(next).show();$(curr).hide();after();};};$.fn.cycle.transitions.scrollUp=function($cont,$slides,opts){$cont.css("overflow","hidden");opts.before.push($.fn.cycle.commonReset);var h=$cont.height();opts.cssBefore={top:h,left:0};opts.cssFirst={top:0};opts.animIn={top:0};opts.animOut={top:-h};};$.fn.cycle.transitions.scrollDown=function($cont,$slides,opts){$cont.css("overflow","hidden");opts.before.push($.fn.cycle.commonReset);var h=$cont.height();opts.cssFirst={top:0};opts.cssBefore={top:-h,left:0};opts.animIn={top:0};opts.animOut={top:h};};$.fn.cycle.transitions.scrollLeft=function($cont,$slides,opts){$cont.css("overflow","hidden");opts.before.push($.fn.cycle.commonReset);var w=$cont.width();opts.cssFirst={left:0};opts.cssBefore={left:w,top:0};opts.animIn={left:0};opts.animOut={left:0-w};};$.fn.cycle.transitions.scrollRight=function($cont,$slides,opts){$cont.css("overflow","hidden");opts.before.push($.fn.cycle.commonReset);var w=$cont.width();opts.cssFirst={left:0};opts.cssBefore={left:-w,top:0};opts.animIn={left:0};opts.animOut={left:w};};$.fn.cycle.transitions.scrollHorz=function($cont,$slides,opts){$cont.css("overflow","hidden").width();opts.before.push(function(curr,next,opts,fwd){$.fn.cycle.commonReset(curr,next,opts);opts.cssBefore.left=fwd?(next.cycleW-1):(1-next.cycleW);opts.animOut.left=fwd?-curr.cycleW:curr.cycleW;});opts.cssFirst={left:0};opts.cssBefore={top:0};opts.animIn={left:0};opts.animOut={top:0};};$.fn.cycle.transitions.scrollVert=function($cont,$slides,opts){$cont.css("overflow","hidden");opts.before.push(function(curr,next,opts,fwd){$.fn.cycle.commonReset(curr,next,opts);opts.cssBefore.top=fwd?(1-next.cycleH):(next.cycleH-1);opts.animOut.top=fwd?curr.cycleH:-curr.cycleH;});opts.cssFirst={top:0};opts.cssBefore={left:0};opts.animIn={top:0};opts.animOut={left:0};};$.fn.cycle.transitions.slideX=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$(opts.elements).not(curr).hide();$.fn.cycle.commonReset(curr,next,opts,false,true);opts.animIn.width=next.cycleW;});opts.cssBefore={left:0,top:0,width:0};opts.animIn={width:"show"};opts.animOut={width:0};};$.fn.cycle.transitions.slideY=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$(opts.elements).not(curr).hide();$.fn.cycle.commonReset(curr,next,opts,true,false);opts.animIn.height=next.cycleH;});opts.cssBefore={left:0,top:0,height:0};opts.animIn={height:"show"};opts.animOut={height:0};};$.fn.cycle.transitions.shuffle=function($cont,$slides,opts){var i,w=$cont.css("overflow","visible").width();$slides.css({left:0,top:0});opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,true,true,true);});if(!!opts.speedAdjusted){opts.speed=opts.speed/2;opts.speedAdjusted=true;}opts.random=0;opts.shuffle=opts.shuffle||{left:-w,top:15};opts.els=[];for(i=0;i<$slides.length;i++){opts.els.push($slides[i]);}for(i=0;i<opts.currSlide;i++){opts.els.push(opts.els.shift());}opts.fxFn=function(curr,next,opts,cb,fwd){var $el=fwd?$(curr):$(next);$(next).css(opts.cssBefore);var count=opts.slideCount;$el.animate(opts.shuffle,opts.speedIn,opts.easeIn,function(){var hops=$.fn.cycle.hopsFromLast(opts,fwd);for(var k=0;k<hops;k++){fwd?opts.els.push(opts.els.shift()):opts.els.unshift(opts.els.pop());}if(fwd){for(var i=0,len=opts.els.length;i<len;i++){$(opts.els[i]).css("z-index",len-i+count);}}else{var z=$(curr).css("z-index");$el.css("z-index",parseInt(z)+1+count);}$el.animate({left:0,top:0},opts.speedOut,opts.easeOut,function(){$(fwd?this:curr).hide();if(cb){cb();}});});};opts.cssBefore={display:"block",opacity:1,top:0,left:0};};$.fn.cycle.transitions.turnUp=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,true,false);opts.cssBefore.top=next.cycleH;opts.animIn.height=next.cycleH;});opts.cssFirst={top:0};opts.cssBefore={left:0,height:0};opts.animIn={top:0};opts.animOut={height:0};};$.fn.cycle.transitions.turnDown=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,true,false);opts.animIn.height=next.cycleH;opts.animOut.top=curr.cycleH;});opts.cssFirst={top:0};opts.cssBefore={left:0,top:0,height:0};opts.animOut={height:0};};$.fn.cycle.transitions.turnLeft=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,false,true);opts.cssBefore.left=next.cycleW;opts.animIn.width=next.cycleW;});opts.cssBefore={top:0,width:0};opts.animIn={left:0};opts.animOut={width:0};};$.fn.cycle.transitions.turnRight=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,false,true);opts.animIn.width=next.cycleW;opts.animOut.left=curr.cycleW;});opts.cssBefore={top:0,left:0,width:0};opts.animIn={left:0};opts.animOut={width:0};};$.fn.cycle.transitions.zoom=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,false,false,true);opts.cssBefore.top=next.cycleH/2;opts.cssBefore.left=next.cycleW/2;opts.animIn={top:0,left:0,width:next.cycleW,height:next.cycleH};opts.animOut={width:0,height:0,top:curr.cycleH/2,left:curr.cycleW/2};});opts.cssFirst={top:0,left:0};opts.cssBefore={width:0,height:0};};$.fn.cycle.transitions.fadeZoom=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,false,false);opts.cssBefore.left=next.cycleW/2;opts.cssBefore.top=next.cycleH/2;opts.animIn={top:0,left:0,width:next.cycleW,height:next.cycleH};});opts.cssBefore={width:0,height:0};opts.animOut={opacity:0};};$.fn.cycle.transitions.blindX=function($cont,$slides,opts){var w=$cont.css("overflow","hidden").width();opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts);opts.animIn.width=next.cycleW;opts.animOut.left=curr.cycleW;});opts.cssBefore={left:w,top:0};opts.animIn={left:0};opts.animOut={left:w};};$.fn.cycle.transitions.blindY=function($cont,$slides,opts){var h=$cont.css("overflow","hidden").height();opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts);opts.animIn.height=next.cycleH;opts.animOut.top=curr.cycleH;});opts.cssBefore={top:h,left:0};opts.animIn={top:0};opts.animOut={top:h};};$.fn.cycle.transitions.blindZ=function($cont,$slides,opts){var h=$cont.css("overflow","hidden").height();var w=$cont.width();opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts);opts.animIn.height=next.cycleH;opts.animOut.top=curr.cycleH;});opts.cssBefore={top:h,left:w};opts.animIn={top:0,left:0};opts.animOut={top:h,left:w};};$.fn.cycle.transitions.growX=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,false,true);opts.cssBefore.left=this.cycleW/2;opts.animIn={left:0,width:this.cycleW};opts.animOut={left:0};});opts.cssBefore={width:0,top:0};};$.fn.cycle.transitions.growY=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,true,false);opts.cssBefore.top=this.cycleH/2;opts.animIn={top:0,height:this.cycleH};opts.animOut={top:0};});opts.cssBefore={height:0,left:0};};$.fn.cycle.transitions.curtainX=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,false,true,true);opts.cssBefore.left=next.cycleW/2;opts.animIn={left:0,width:this.cycleW};opts.animOut={left:curr.cycleW/2,width:0};});opts.cssBefore={top:0,width:0};};$.fn.cycle.transitions.curtainY=function($cont,$slides,opts){opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,true,false,true);opts.cssBefore.top=next.cycleH/2;opts.animIn={top:0,height:next.cycleH};opts.animOut={top:curr.cycleH/2,height:0};});opts.cssBefore={left:0,height:0};};$.fn.cycle.transitions.cover=function($cont,$slides,opts){var d=opts.direction||"left";var w=$cont.css("overflow","hidden").width();var h=$cont.height();opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts);if(d=="right"){opts.cssBefore.left=-w;}else{if(d=="up"){opts.cssBefore.top=h;}else{if(d=="down"){opts.cssBefore.top=-h;}else{opts.cssBefore.left=w;}}}});opts.animIn={left:0,top:0};opts.animOut={opacity:1};opts.cssBefore={top:0,left:0};};$.fn.cycle.transitions.uncover=function($cont,$slides,opts){var d=opts.direction||"left";var w=$cont.css("overflow","hidden").width();var h=$cont.height();opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,true,true,true);if(d=="right"){opts.animOut.left=w;}else{if(d=="up"){opts.animOut.top=-h;}else{if(d=="down"){opts.animOut.top=h;}else{opts.animOut.left=-w;}}}});opts.animIn={left:0,top:0};opts.animOut={opacity:1};opts.cssBefore={top:0,left:0};};$.fn.cycle.transitions.toss=function($cont,$slides,opts){var w=$cont.css("overflow","visible").width();var h=$cont.height();opts.before.push(function(curr,next,opts){$.fn.cycle.commonReset(curr,next,opts,true,true,true);if(!!opts.animOut.left&&!!opts.animOut.top){opts.animOut={left:w*2,top:-h/2,opacity:0};}else{opts.animOut.opacity=0;}});opts.cssBefore={left:0,top:0};opts.animIn={left:0};};$.fn.cycle.transitions.wipe=function($cont,$slides,opts){var w=$cont.css("overflow","hidden").width();var h=$cont.height();opts.cssBefore=opts.cssBefore||{};var clip;if(opts.clip){if(/l2r/.test(opts.clip)){clip="rect(0px 0px "+h+"px 0px)";}else{if(/r2l/.test(opts.clip)){clip="rect(0px "+w+"px "+h+"px "+w+"px)";}else{if(/t2b/.test(opts.clip)){clip="rect(0px "+w+"px 0px 0px)";}else{if(/b2t/.test(opts.clip)){clip="rect("+h+"px "+w+"px "+h+"px 0px)";}else{if(/zoom/.test(opts.clip)){var top=parseInt(h/2);var left=parseInt(w/2);clip="rect("+top+"px "+left+"px "+top+"px "+left+"px)";}}}}}}opts.cssBefore.clip=opts.cssBefore.clip||clip||"rect(0px 0px 0px 0px)";var d=opts.cssBefore.clip.match(/(\d+)/g);var t=parseInt(d[0]),r=parseInt(d[1]),b=parseInt(d[2]),l=parseInt(d[3]);opts.before.push(function(curr,next,opts){if(curr==next){return;}var $curr=$(curr),$next=$(next);$.fn.cycle.commonReset(curr,next,opts,true,true,false);opts.cssAfter.display="block";var step=1,count=parseInt((opts.speedIn/13))-1;(function f(){var tt=t?t-parseInt(step*(t/count)):0;var ll=l?l-parseInt(step*(l/count)):0;var bb=b<h?b+parseInt(step*((h-b)/count||1)):h;var rr=r<w?r+parseInt(step*((w-r)/count||1)):w;$next.css({clip:"rect("+tt+"px "+rr+"px "+bb+"px "+ll+"px)"});(step++<=count)?setTimeout(f,13):$curr.css("display","none");})();});opts.cssBefore={display:"block",opacity:1,top:0,left:0};opts.animIn={left:0};opts.animOut={left:0};};})(jQuery);'! !
